.header--wrap {
    width: 100%;
    background: #F4F6F8;
    border-bottom: 1px solid rgba(8, 14, 20, 0.1);
    margin-bottom: 24px;
}

.header {
    display: flex;
    align-items: center;
    max-width: 952px;
    height: 50px;
    width: 100%;
    padding: 9px 15px;
    margin: auto;
    box-sizing: border-box;
}

.header--link {
    margin-right: 30px;
}

.post-page {
    max-width: 808px;
    margin: 0 auto 54px;
    padding: 0;
}

.post-page--title {
    padding: 0 20px;
    max-width: 520px;
    font-size: 32px;
    text-align: center;
    margin: 0 auto 16px;
    display: block;
    font-family: TT-common-demi-bold;
}

.post-page--author {
    padding: 0 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 520px;
    margin: 0 auto 24px;
}

.post-page--author span {
    margin: 0 6px;
}

.post-page--author * {
    font-size: 16px;
}

.post-page--author a, .post-page--content a {
    color: #00A3FF;
}

.post-page--content a:visited {
    color: purple;
}

.post-page--author--avatar {
    width: 36px;
    height: 36px;
    margin: 0 8px;
    border-radius: 50%;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.post-page--content {
    margin: 0;
    padding: 0 20px;
}

.post-page--content h2 {
    font-family: TT-common-demi-bold;
    font-style: normal;
    font-weight: 500;
    font-size: 26px;
    line-height: 34px;
    margin: 32px 0 8px;
}

.post-page--content h3 {
    font-family: TT-common-demi-bold;
    font-style: normal;
    font-weight: 500;
    font-size: 22px;
    line-height: 34px;
    margin: 32px 0 8px;
}

.post-page--content ol, .post-page--content ul {
    margin-left: 32px;
}

.post-page--content ol {
    list-style: decimal;
}

.post-page--content p {
    color: #21262B;
    font-style: normal;
    font-weight: normal;
    font-size: 20px;
    line-height: 28px;
    margin: 8px 0;
}

.post-page--content strong {
    font-weight: 600;
}

.post-page--content i {
    font-style: italic;
}

.post-page--content img {
    display: block;
    align-self: center;
    width: 100%;
    height: auto;
}

.post-page--content blockquote {
    width: 100%;
    text-align: center;
    padding: 40px 0;
    border-top: 1px solid rgb(93 107 123 / 17%);
    border-bottom: 1px solid rgb(93 107 123 / 17%);
    margin: 20px 0;
    color: #5D6B7B;
    font-family: TT-common-italic;
}

.post-page--content--image {
    max-width: 100%;
    display: block;
    width: 100%;
    border-radius: 10px;
    margin: 32px 0;
}

.post-page--content code {
    max-width: 100%;
    overflow-x: auto;
    color: black;
}

.post-page--content li {
    color: #21262B;
    font-style: normal;
    font-weight: normal;
    font-size: 20px;
    line-height: 28px;
    margin: 8px 0;
}

.hide-d {
    display: none;
}
.hide-m {
    display: flex;
}

@media (max-width: 540px) {
    .post-page--author {
        flex-wrap: wrap;
    }

    .hide-m {
        display: none;
    }
    .hide-d {
        display: flex;
        margin-right: 15px;
    }
}

.post-page--content .kg-image {
    margin: 0 auto;
    max-width: 100%;
}

/* Preventing full-width image overlap with post image.  */
.post-page--content + .post-page--content .kg-content *:first-child .kg-image {
    width: 100%;
}

.post-page--content .kg-width-wide .kg-image {
    max-width: 1040px;
}

.post-page--content .kg-width-full .kg-image {
    max-width: 100vw;
}

.post-page--content figure {
    margin: 32px 0;
}

.post-page--content pre {
    overflow-x: auto;
    margin: 1.5em 0 3em;
    padding: 20px;
    max-width: 100%;
    border: 1px solid #111111;
    color: white;
    font-size: 1.4rem;
    line-height: 1.5em;
    background: #111111;
    border-radius: 5px;
}

.post-page--content code {
    padding: 0 5px 2px;
    font-size: 0.8em;
    line-height: 1em;
    font-weight: 400!important;
    color: white;
    border-radius: 3px;
    font-family: monospace;
    line-height: 1.33;
}

.post-full-content p code {
    word-break: break-all;
}

.post-page--content p code {
    color: #21262B;
}


.post-page--content figure img {
    margin: 0;
}

.post-page--content figcaption {
    margin: 1.0em auto 0;
    color: darkgrey;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
    font-size: 75%;
    line-height: 1.5em;
    text-align: center;
    max-width: 1040px;
}

.kg-width-full figcaption {
    padding: 0 1.5em;
}

.kg-embed-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.kg-embed-card .fluid-width-video-wrapper {
    margin: 0;
}

.kg-gallery-container {
    display: flex;
    flex-direction: column;
    max-width: 1040px;
    width: 100vw;
}

.kg-gallery-row {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.kg-gallery-image img {
    display: block;
    margin: 0;
    width: 100%;
    height: 100%;
}

.kg-gallery-row:not(:first-of-type) {
    margin: 0.75em 0 0 0;
}

.kg-gallery-image:not(:first-of-type) {
    margin: 0 0 0 0.75em;
}

/* keep existing <pre> styles for code cards with captions */
.kg-code-card {
    width: 100%;
}

.kg-code-card pre {
    margin: 0;
}

.kg-bookmark-card {
    width: 100%;
}

.kg-card + .kg-bookmark-card {
    margin-top: 0;
}
